Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.stream
Interface XMLEvent

All Known Subinterfaces:
  ChangePrefixMapping, CharacterData, Comment, EndDocument, EndElement, EndPrefixMapping, EntityReference, ProcessingInstruction, Space, StartDocument, StartElement, StartPrefixMapping

Deprecated. please use java standard StAX api

public interface XMLEvent

This is the base element interface for handling markup events.

Since:
  Weblogic XML Input Stream 1.0
See Also:
  `CharacterData`, `ProcessingInstruction`, `StartElement`, `EndElement`, `CharacterData`, `XMLName`, `StartDocument`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static int` | `CHANGE_PREFIX_MAPPING` Deprecated. A constant which identifies a ChangePrefixMapping
`static int` | `CHARACTER_DATA` Deprecated. A constant which identifies a CharacterData Event
`static int` | `COMMENT` Deprecated. A constant which identifies a Comment
`static int` | `END_DOCUMENT` Deprecated. A constant which identifies an EndDocument
`static int` | `END_ELEMENT` Deprecated. A constant which identifies an EndElement
`static int` | `END_PREFIX_MAPPING` Deprecated. A constant which identifies a EndPrefixMapping
`static int` | `ENTITY_REFERENCE` Deprecated. A constant which identifies an EntityReference
`static int` | `NULL_ELEMENT` Deprecated. A constant which identifies a NullElement
`static int` | `PROCESSING_INSTRUCTION` Deprecated. A constant which identifies a ProcessingInstruction
`static int` | `SPACE` Deprecated. A constant which identifies a Space
`static int` | `START_DOCUMENT` Deprecated. A constant which identifies a StartDocument
`static int` | `START_ELEMENT` Deprecated. A constant which identifies a StartElement
`static int` | `START_PREFIX_MAPPING` Deprecated. A constant which identifies a StartPrefixMapping
`static int` | `XML_EVENT` Deprecated. A constant which identifies an XMLEvent

Method Summary
`Location` | `getLocation()` Deprecated. Return the location of this Element
`XMLName` | `getName()` Deprecated. Get the XMLName of the current element
`XMLName` | `getSchemaType()` Deprecated. Get the event type of the current element, returns an integer so that switch statements can be written on the result
`int` | `getType()` Deprecated. Get the event type of the current element, returns an integer so that switch statements can be written on the result
`String` | `getTypeAsString()` Deprecated. Get the string value of the type name
`boolean` | `hasName()` Deprecated. Check if this Element has a name
`boolean` | `isChangePrefixMapping()` Deprecated.
`boolean` | `isCharacterData()` Deprecated.
`boolean` | `isEndDocument()` Deprecated.
`boolean` | `isEndElement()` Deprecated.
`boolean` | `isEndPrefixMapping()` Deprecated.
`boolean` | `isEntityReference()` Deprecated.
`boolean` | `isNull()` Deprecated.
`boolean` | `isProcessingInstruction()` Deprecated.
`boolean` | `isSpace()` Deprecated.
`boolean` | `isStartDocument()` Deprecated.
`boolean` | `isStartElement()` Deprecated. Method access to the elements type
`boolean` | `isStartPrefixMapping()` Deprecated.

Field Detail

### CHANGE_PREFIX_MAPPING

    public static final int CHANGE_PREFIX_MAPPING

  Deprecated.
  A constant which identifies a ChangePrefixMapping

  See Also:
    `ChangePrefixMapping`, Constant Field Values

### CHARACTER_DATA

    public static final int CHARACTER_DATA

  Deprecated.
  A constant which identifies a CharacterData Event

  See Also:
    `CharacterData`, Constant Field Values

### COMMENT

    public static final int COMMENT

  Deprecated.
  A constant which identifies a Comment

  See Also:
    `Comment`, Constant Field Values

### END_DOCUMENT

    public static final int END_DOCUMENT

  Deprecated.
  A constant which identifies an EndDocument

  See Also:
    `EndDocument`, Constant Field Values

### END_ELEMENT

    public static final int END_ELEMENT

  Deprecated.
  A constant which identifies an EndElement

  See Also:
    `EndElement`, Constant Field Values

### END_PREFIX_MAPPING

    public static final int END_PREFIX_MAPPING

  Deprecated.
  A constant which identifies a EndPrefixMapping

  See Also:
    `EndPrefixMapping`, Constant Field Values

### ENTITY_REFERENCE

    public static final int ENTITY_REFERENCE

  Deprecated.
  A constant which identifies an EntityReference

  See Also:
    `EntityReference`, Constant Field Values

### NULL_ELEMENT

    public static final int NULL_ELEMENT

  Deprecated.
  A constant which identifies a NullElement

  See Also:
    Constant Field Values

### PROCESSING_INSTRUCTION

    public static final int PROCESSING_INSTRUCTION

  Deprecated.
  A constant which identifies a ProcessingInstruction

  See Also:
    `ProcessingInstruction`, Constant Field Values

### SPACE

    public static final int SPACE

  Deprecated.
  A constant which identifies a Space

  See Also:
    `Space`, Constant Field Values

### START_DOCUMENT

    public static final int START_DOCUMENT

  Deprecated.
  A constant which identifies a StartDocument

  See Also:
    `StartDocument`, Constant Field Values

### START_ELEMENT

    public static final int START_ELEMENT

  Deprecated.
  A constant which identifies a StartElement

  See Also:
    `StartElement`, Constant Field Values

### START_PREFIX_MAPPING

    public static final int START_PREFIX_MAPPING

  Deprecated.
  A constant which identifies a StartPrefixMapping

  See Also:
    `StartPrefixMapping`, Constant Field Values

### XML_EVENT

    public static final int XML_EVENT

  Deprecated.
  A constant which identifies an XMLEvent

  See Also:
    `XMLEvent`, Constant Field Values

Method Detail

### getLocation

    public Location getLocation()

  Deprecated.
  Return the location of this Element

### getName

    public XMLName getName()

  Deprecated.
  Get the XMLName of the current element

  See Also:
    `XMLName`

### getSchemaType

    public XMLName getSchemaType()

  Deprecated.
  Get the event type of the current element, returns an integer so that switch statements can be written on the result

### getType

    public int getType()

  Deprecated.
  Get the event type of the current element, returns an integer so that switch statements can be written on the result

### getTypeAsString

    public String getTypeAsString()

  Deprecated.
  Get the string value of the type name

### hasName

    public boolean hasName()

  Deprecated.
  Check if this Element has a name

### isChangePrefixMapping

    public boolean isChangePrefixMapping()

  Deprecated.

### isCharacterData

    public boolean isCharacterData()

  Deprecated.

### isEndDocument

    public boolean isEndDocument()

  Deprecated.

### isEndElement

    public boolean isEndElement()

  Deprecated.

### isEndPrefixMapping

    public boolean isEndPrefixMapping()

  Deprecated.

### isEntityReference

    public boolean isEntityReference()

  Deprecated.

### isNull

    public boolean isNull()

  Deprecated.

### isProcessingInstruction

    public boolean isProcessingInstruction()

  Deprecated.

### isSpace

    public boolean isSpace()

  Deprecated.

### isStartDocument

    public boolean isStartDocument()

  Deprecated.

### isStartElement

    public boolean isStartElement()

  Deprecated.
  Method access to the elements type

### isStartPrefixMapping

    public boolean isStartPrefixMapping()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD